
ThreatFactor NSIA - Bug #339

Scan Exception Due to Invalid URLs

02/16/2011 04:07 AM - Luke Murphey

Status: Closed Start date: 02/21/2011

Priority: High Due date: 02/22/2011

Assignee: Luke Murphey % Done: 100%

Category: Scan Engine Estimated time: 0.00 hour

Target version: 1.0.3   

Description

Scanner is throwing exceptions due to invalid characters in URLs:

stack_trace = "java.lang.IllegalArgumentException: URLDecoder: Illegal hex characters in escape (%) pattern - For input string: \"u0\"

java.net.URLDecoder.decode(URLDecoder.java:173) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.getUrlAttrs(HttpSeekingScanRule.java:781) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.getUrlAttrs(HttpSeekingScanRule.java:711) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.extractUrls(HttpSeekingScanRule.java:309) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.multiThreadedScan(HttpSeekingScanRule.java:495) at

net.lukemurphey.nsia.scan.HttpSeekingScanRule.doScan(HttpSeekingScanRule.java:882) at

net.lukemurphey.nsia.Scanner.doScan(Scanner.java:162) at net.lukemurphey.nsia.Scanner.run(Scanner.java:125)"

History

#1 - 02/22/2011 03:28 AM - Luke Murphey

- Due date set to 02/22/2011

- Category set to Scan Engine

- Assignee set to Luke Murphey

- Target version set to 1.0.3

- Start date set to 02/21/2011

#2 - 02/22/2011 06:50 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
